SEVERE: FAIL - Application at context path /ODKAggregate could not be started [ODK 1.4.4 ]

Hi there,

I'm installing ODK locally in a linux machine (Ubuntu 12.04, tomcat 7, java
1.7/1.6 ) using the windows installer (through ODKAggregate.war). But when
I start the application through Tomcat Application Manager the following
error shows up:

FAIL - Application at context path /ODKAggregate could not be started
FAIL - Encountered exception org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]]

It seems it is related with the Java version. Thats why I updated from 1.6 to 1.7 but the error remains the same.

My java:

$ java -version
java version "1.7.0_65"
OpenJDK Runtime Environment (IcedTea 2.5.3) (7u71-2.5.3-0ubuntu0.12.04.1)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)

I suspect it is related with this issue: https://code.google.com/p/opendatakit/issues/detail?id=1000

Below are the logs from Catalina:

Nov 18, 2014 8:42:03 PM org.apache.catalina.core.ApplicationContext log
INFO: HTMLManager: start: Starting web application '/ODKAggregate'
Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log
SEVERE: FAIL - Application at context path /ODKAggregate could not be
started

org.apache.catalina.LifecycleException: Failed to start component
[StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]]

at
org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:154)
at
org.apache.catalina.manager.ManagerServlet.start(ManagerServlet.java:1247)
at
org.apache.catalina.manager.HTMLManagerServlet.start(HTMLManagerServlet.java:747)
at
org.apache.catalina.manager.HTMLManagerServlet.doPost(HTMLManagerServlet.java:222)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:641)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:722)
at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:305)
at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
at
org.apache.catalina.filters.CsrfPreventionFilter.doFilter(CsrfPreventionFilter.java:194)
at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
at
org.apache.catalina.filters.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:108)
at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:224)
at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:169)
at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:581)
at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:168)
at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)
at
org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:927)
at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:118)
at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:407)
at
org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:987)
at
org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:579)
at
org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:307)
at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1146)
at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
at java.lang.Thread.run(Thread.java:701)
Caused by: java.lang.UnsupportedClassVersionError:
com/google/apphosting/utils/remoteapi/RemoteApiServlet : Unsupported
major.minor version 51.0 (unable to load class
com.google.apphosting.utils.remoteapi.RemoteApiServlet)

at
org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2840)
at
org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1160)
at
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1668)
at
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1546)
at
org.apache.catalina.startup.WebAnnotationSet.loadApplicationServletAnnotations(WebAnnotationSet.java:108)
at
org.apache.catalina.startup.WebAnnotationSet.loadApplicationAnnotations(WebAnnotationSet.java:58)
at
org.apache.catalina.startup.ContextConfig.applicationAnnotationsConfig(ContextConfig.java:381)
at
org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:858)
at
org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:345)
at
org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:119)
at
org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)
at
org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5161)
at
org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
... 27 more
Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log

Regards,
Piqo

Correct. Your Tomcat instance is not seeing the proper java version.

On one of our Linux boxes, we needed to edit
/usr/share/tomcat7/bin/catalina.sh to set the proper JAVA_HOME

e.g.,

Once you make the change in that file, you need to stop and restart tomcat
to get the change to be detected and applied.

··· On Tue, Nov 18, 2014 at 12:13 PM, El Piqo wrote:

Hi there,

I'm installing ODK locally in a linux machine (Ubuntu 12.04, tomcat 7,
java 1.7/1.6 ) using the windows installer (through ODKAggregate.war). But
when I start the application through Tomcat Application Manager the
following error shows up:

FAIL - Application at context path /ODKAggregate could not be started
FAIL - Encountered exception org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]]

It seems it is related with the Java version. Thats why I updated from 1.6 to 1.7 but the error remains the same.

My java:

$ java -version
java version "1.7.0_65"
OpenJDK Runtime Environment (IcedTea 2.5.3) (7u71-2.5.3-0ubuntu0.12.04.1)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)

I suspect it is related with this issue: https://code.google.com/p/opendatakit/issues/detail?id=1000

Below are the logs from Catalina:

Nov 18, 2014 8:42:03 PM org.apache.catalina.core.ApplicationContext log
INFO: HTMLManager: start: Starting web application '/ODKAggregate'
Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log
SEVERE: FAIL - Application at context path /ODKAggregate could not be
started

org.apache.catalina.LifecycleException: Failed to start component
[StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]]

at
org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:154)
at
org.apache.catalina.manager.ManagerServlet.start(ManagerServlet.java:1247)
at
org.apache.catalina.manager.HTMLManagerServlet.start(HTMLManagerServlet.java:747)
at
org.apache.catalina.manager.HTMLManagerServlet.doPost(HTMLManagerServlet.java:222)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:641)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:722)
at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:305)
at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
at
org.apache.catalina.filters.CsrfPreventionFilter.doFilter(CsrfPreventionFilter.java:194)
at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
at
org.apache.catalina.filters.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:108)
at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243)
at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210)
at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:224)
at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:169)
at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:581)
at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:168)
at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)
at
org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:927)
at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:118)
at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:407)
at
org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:987)
at
org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:579)
at
org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:307)
at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1146)
at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
at java.lang.Thread.run(Thread.java:701)
Caused by: java.lang.UnsupportedClassVersionError:
com/google/apphosting/utils/remoteapi/RemoteApiServlet : Unsupported
major.minor version 51.0 (unable to load class
com.google.apphosting.utils.remoteapi.RemoteApiServlet)

at
org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2840)
at
org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1160)
at
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1668)
at
org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1546)
at
org.apache.catalina.startup.WebAnnotationSet.loadApplicationServletAnnotations(WebAnnotationSet.java:108)
at
org.apache.catalina.startup.WebAnnotationSet.loadApplicationAnnotations(WebAnnotationSet.java:58)
at
org.apache.catalina.startup.ContextConfig.applicationAnnotationsConfig(ContextConfig.java:381)
at
org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:858)
at
org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:345)
at
org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:119)
at
org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)
at
org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5161)
at
org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
... 27 more
Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log

Regards,
Piqo

--

Post: opendatakit@googlegroups.com
Unsubscribe: opendatakit+unsubscribe@googlegroups.com
Options: http://groups.google.com/group/opendatakit?hl=en


You received this message because you are subscribed to the Google Groups
"ODK Community" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to opendatakit+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
Mitch Sundt
Software Engineer
University of Washington
mitchellsundt@gmail.com

I installed odk on tomcat 8 server and mysql server 5.7 but this what is
resulting to HTTP Status 404 - /ODKAggregate/Aggregate.html
can some one help out?
and l cannot access my tomcat application manager page

Ooops. I'm a bit late. I uninstalled tomcat7 and downgraded to tomcat6
since tomcat7 was not supported. Now when I deploy the WAR through tomcat
app manager, it uploads the file and says OK. I restart tomcat6 and I see
that next to the WAR is the ODKAggregate directory created but I dont see
ODKAggregate on the applications list of tomcat in order to start it.
Accessing: http://localhost:8080/ODKAggregate throws an HTTP 503, this
application is not available.

I'll keep investigating but if some one knows what could it be, or how to
troubleshoot it, hit me..

Thanks
piqoni

··· On Tuesday, November 18, 2014 10:24:58 PM UTC+1, Mitch Sundt wrote: > > Correct. Your Tomcat instance is not seeing the proper java version. > > On one of our Linux boxes, we needed to edit > /usr/share/tomcat7/bin/catalina.sh to set the proper JAVA_HOME > > e.g., > http://stackoverflow.com/questions/11000497/how-to-configure-tomcat-to-use-java-7 > > Once you make the change in that file, you need to stop and restart tomcat > to get the change to be detected and applied. > > > On Tue, Nov 18, 2014 at 12:13 PM, El Piqo <piq...@gmail.com > wrote: > >> Hi there, >> >> I'm installing ODK locally in a linux machine (Ubuntu 12.04, tomcat 7, >> java 1.7/1.6 ) using the windows installer (through ODKAggregate.war). But >> when I start the application through Tomcat Application Manager the >> following error shows up: >> >> FAIL - Application at context path /ODKAggregate could not be started >> FAIL - Encountered exception org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]] >> >> >> It seems it is related with the Java version. Thats why I updated from 1.6 to 1.7 but the error remains the same. >> >> >> My java: >> >> $ java -version >> java version "1.7.0_65" >> OpenJDK Runtime Environment (IcedTea 2.5.3) (7u71-2.5.3-0ubuntu0.12.04.1) >> OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode) >> >> >> >> I suspect it is related with this issue: https://code.google.com/p/opendatakit/issues/detail?id=1000 >> >> >> Below are the logs from Catalina: >> >> Nov 18, 2014 8:42:03 PM org.apache.catalina.core.ApplicationContext log >> INFO: HTMLManager: start: Starting web application '/ODKAggregate' >> Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log >> *SEVERE: FAIL - Application at context path /ODKAggregate could not be >> started* >> *org.apache.catalina.LifecycleException: Failed to start component >> [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]]* >> at >> org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:154) >> at >> org.apache.catalina.manager.ManagerServlet.start(ManagerServlet.java:1247) >> at >> org.apache.catalina.manager.HTMLManagerServlet.start(HTMLManagerServlet.java:747) >> at >> org.apache.catalina.manager.HTMLManagerServlet.doPost(HTMLManagerServlet.java:222) >> at javax.servlet.http.HttpServlet.service(HttpServlet.java:641) >> at javax.servlet.http.HttpServlet.service(HttpServlet.java:722) >> at >> org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:305) >> at >> org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210) >> at >> org.apache.catalina.filters.CsrfPreventionFilter.doFilter(CsrfPreventionFilter.java:194) >> at >> org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243) >> at >> org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210) >> at >> org.apache.catalina.filters.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:108) >> at >> org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:243) >> at >> org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:210) >> at >> org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:224) >> at >> org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:169) >> at >> org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:581) >> at >> org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:168) >> at >> org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98) >> at >> org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:927) >> at >> org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:118) >> at >> org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:407) >> at >> org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:987) >> at >> org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:579) >> at >> org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:307) >> at >> java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1146) >> at >> java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) >> at java.lang.Thread.run(Thread.java:701) >> *Caused by: java.lang.UnsupportedClassVersionError: >> com/google/apphosting/utils/remoteapi/RemoteApiServlet : Unsupported >> major.minor version 51.0 (unable to load class >> com.google.apphosting.utils.remoteapi.RemoteApiServlet)* >> at >> org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:2840) >> at >> org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:1160) >> at >> org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1668) >> at >> org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1546) >> at >> org.apache.catalina.startup.WebAnnotationSet.loadApplicationServletAnnotations(WebAnnotationSet.java:108) >> at >> org.apache.catalina.startup.WebAnnotationSet.loadApplicationAnnotations(WebAnnotationSet.java:58) >> at >> org.apache.catalina.startup.ContextConfig.applicationAnnotationsConfig(ContextConfig.java:381) >> at >> org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:858) >> at >> org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:345) >> at >> org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:119) >> at >> org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90) >> at >> org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5161) >> at >> org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) >> ... 27 more >> Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log >> >> Regards, >> Piqo >> >> -- >> -- >> Post: opend...@googlegroups.com >> Unsubscribe: opendatakit...@googlegroups.com >> Options: http://groups.google.com/group/opendatakit?hl=en >> >> --- >> You received this message because you are subscribed to the Google Groups >> "ODK Community" group. >> To unsubscribe from this group and stop receiving emails from it, send an >> email to opendatakit...@googlegroups.com . >> For more options, visit https://groups.google.com/d/optout. >> > > > > -- > Mitch Sundt > Software Engineer > University of Washington > mitche...@gmail.com >

See the instructions here
https://opendatakit.org/use/aggregate/tomcat-install/

Note that you need to manually download and copy the MySQL Connector/J to
the tomcat libs folder.
And you need to run the create_db_and_user.sql script.

I assume you are installing ODK Aggregate 1.4.13, and not an earlier
software release. Earlier versions are not supported on Tomcat 8.

··· On Mon, Mar 13, 2017 at 9:33 AM, Richard Ekpene wrote:

I installed odk on tomcat 8 server and mysql server 5.7 but this what is
resulting to HTTP Status 404 - /ODKAggregate/Aggregate.html
can some one help out?
and l cannot access my tomcat application manager page

--

Post: opendatakit@googlegroups.com
Unsubscribe: opendatakit+unsubscribe@googlegroups.com
Options: http://groups.google.com/group/opendatakit?hl=en


You received this message because you are subscribed to the Google Groups
"ODK Community" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to opendatakit+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
Mitch Sundt
Software Engineer
University of Washington
mitchellsundt@gmail.com

Thank you Mitch, It is now fixed by setting my 1.7 java dirs at the JDK_DIRS
variable at /etc/init.d/tomcat6

Take care,
piqo

··· On Tue, Nov 18, 2014 at 10:50 PM, El Piqo wrote:

Ooops. I'm a bit late. I uninstalled tomcat7 and downgraded to tomcat6
since tomcat7 was not supported. Now when I deploy the WAR through tomcat
app manager, it uploads the file and says OK. I restart tomcat6 and I see
that next to the WAR is the ODKAggregate directory created but I dont see
ODKAggregate on the applications list of tomcat in order to start it.
Accessing: http://localhost:8080/ODKAggregate throws an HTTP 503, this
application is not available.

I'll keep investigating but if some one knows what could it be, or how to
troubleshoot it, hit me..

Thanks
piqoni

On Tuesday, November 18, 2014 10:24:58 PM UTC+1, Mitch Sundt wrote:

Correct. Your Tomcat instance is not seeing the proper java version.

On one of our Linux boxes, we needed to edit /usr/share/tomcat7/bin/catalina.sh
to set the proper JAVA_HOME

e.g., http://stackoverflow.com/questions/11000497/how-to-
configure-tomcat-to-use-java-7

Once you make the change in that file, you need to stop and restart
tomcat to get the change to be detected and applied.

On Tue, Nov 18, 2014 at 12:13 PM, El Piqo piq...@gmail.com wrote:

Hi there,

I'm installing ODK locally in a linux machine (Ubuntu 12.04, tomcat 7,
java 1.7/1.6 ) using the windows installer (through ODKAggregate.war). But
when I start the application through Tomcat Application Manager the
following error shows up:

FAIL - Application at context path /ODKAggregate could not be started
FAIL - Encountered exception org.apache.catalina.LifecycleException: Failed to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]]

It seems it is related with the Java version. Thats why I updated from 1.6 to 1.7 but the error remains the same.

My java:

$ java -version
java version "1.7.0_65"
OpenJDK Runtime Environment (IcedTea 2.5.3) (7u71-2.5.3-0ubuntu0.12.04.1)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)

I suspect it is related with this issue: https://code.google.com/p/opendatakit/issues/detail?id=1000

Below are the logs from Catalina:

Nov 18, 2014 8:42:03 PM org.apache.catalina.core.ApplicationContext log
INFO: HTMLManager: start: Starting web application '/ODKAggregate'
Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log
SEVERE: FAIL - Application at context path /ODKAggregate could not be
started

org.apache.catalina.LifecycleException: Failed to start component
[StandardEngine[Catalina].StandardHost[localhost].StandardContext[/ODKAggregate]]

at org.apache.catalina.util.LifecycleBase.start(
LifecycleBase.java:154)
at org.apache.catalina.manager.ManagerServlet.start(
ManagerServlet.java:1247)
at org.apache.catalina.manager.HTMLManagerServlet.start(
HTMLManagerServlet.java:747)
at org.apache.catalina.manager.HTMLManagerServlet.doPost(
HTMLManagerServlet.java:222)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:641)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:722)
at org.apache.catalina.core.ApplicationFilterChain.
internalDoFilter(ApplicationFilterChain.java:305)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(
ApplicationFilterChain.java:210)
at org.apache.catalina.filters.CsrfPreventionFilter.doFilter(
CsrfPreventionFilter.java:194)
at org.apache.catalina.core.ApplicationFilterChain.
internalDoFilter(ApplicationFilterChain.java:243)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(
ApplicationFilterChain.java:210)
at org.apache.catalina.filters.SetCharacterEncodingFilter.
doFilter(SetCharacterEncodingFilter.java:108)
at org.apache.catalina.core.ApplicationFilterChain.
internalDoFilter(ApplicationFilterChain.java:243)
at org.apache.catalina.core.ApplicationFilterChain.doFilter(
ApplicationFilterChain.java:210)
at org.apache.catalina.core.StandardWrapperValve.invoke(
StandardWrapperValve.java:224)
at org.apache.catalina.core.StandardContextValve.invoke(
StandardContextValve.java:169)
at org.apache.catalina.authenticator.AuthenticatorBase.invoke(
AuthenticatorBase.java:581)
at org.apache.catalina.core.StandardHostValve.invoke(
StandardHostValve.java:168)
at org.apache.catalina.valves.ErrorReportValve.invoke(
ErrorReportValve.java:98)
at org.apache.catalina.valves.AccessLogValve.invoke(
AccessLogValve.java:927)
at org.apache.catalina.core.StandardEngineValve.invoke(
StandardEngineValve.java:118)
at org.apache.catalina.connector.CoyoteAdapter.service(
CoyoteAdapter.java:407)
at org.apache.coyote.http11.AbstractHttp11Processor.process(
AbstractHttp11Processor.java:987)
at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.
process(AbstractProtocol.java:579)
at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.
run(JIoEndpoint.java:307)
at java.util.concurrent.ThreadPoolExecutor.runWorker(
ThreadPoolExecutor.java:1146)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(
ThreadPoolExecutor.java:615)
at java.lang.Thread.run(Thread.java:701)
Caused by: java.lang.UnsupportedClassVersionError:
com/google/apphosting/utils/remoteapi/RemoteApiServlet : Unsupported
major.minor version 51.0 (unable to load class
com.google.apphosting.utils.remoteapi.RemoteApiServlet)

at org.apache.catalina.loader.WebappClassLoader.
findClassInternal(WebappClassLoader.java:2840)
at org.apache.catalina.loader.WebappClassLoader.findClass(
WebappClassLoader.java:1160)
at org.apache.catalina.loader.WebappClassLoader.loadClass(
WebappClassLoader.java:1668)
at org.apache.catalina.loader.WebappClassLoader.loadClass(
WebappClassLoader.java:1546)
at org.apache.catalina.startup.WebAnnotationSet.
loadApplicationServletAnnotations(WebAnnotationSet.java:108)
at org.apache.catalina.startup.WebAnnotationSet.
loadApplicationAnnotations(WebAnnotationSet.java:58)
at org.apache.catalina.startup.ContextConfig.
applicationAnnotationsConfig(ContextConfig.java:381)
at org.apache.catalina.startup.ContextConfig.configureStart(
ContextConfig.java:858)
at org.apache.catalina.startup.ContextConfig.lifecycleEvent(
ContextConfig.java:345)
at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(
LifecycleSupport.java:119)
at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(
LifecycleBase.java:90)
at org.apache.catalina.core.StandardContext.startInternal(
StandardContext.java:5161)
at org.apache.catalina.util.LifecycleBase.start(
LifecycleBase.java:150)
... 27 more
Nov 18, 2014 8:42:07 PM org.apache.catalina.core.ApplicationContext log

Regards,
Piqo

--

Post: opend...@googlegroups.com
Unsubscribe: opendatakit...@googlegroups.com
Options: http://groups.google.com/group/opendatakit?hl=en


You received this message because you are subscribed to the Google
Groups "ODK Community" group.
To unsubscribe from this group and stop receiving emails from it, send
an email to opendatakit...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
Mitch Sundt
Software Engineer
University of Washington
mitche...@gmail.com

--

Post: opendatakit@googlegroups.com
Unsubscribe: opendatakit+unsubscribe@googlegroups.com
Options: http://groups.google.com/group/opendatakit?hl=en


You received this message because you are subscribed to a topic in the
Google Groups "ODK Community" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/opendatakit/C_cbr6OdLV8/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
opendatakit+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Thanks, my odk aggregate is running on my tomcat server 8. but cannot find
where my form is so l can upload to my server. how do l go about it?

··· On Mon, Mar 13, 2017 at 6:07 PM, Mitch Sundt wrote:

See the instructions here https://opendatakit.org/
use/aggregate/tomcat-install/

Note that you need to manually download and copy the MySQL Connector/J to
the tomcat libs folder.
And you need to run the create_db_and_user.sql script.

I assume you are installing ODK Aggregate 1.4.13, and not an earlier
software release. Earlier versions are not supported on Tomcat 8.

On Mon, Mar 13, 2017 at 9:33 AM, Richard Ekpene ekararichard@gmail.com wrote:

I installed odk on tomcat 8 server and mysql server 5.7 but this what is
resulting to HTTP Status 404 - /ODKAggregate/Aggregate.html
can some one help out?
and l cannot access my tomcat application manager page

--

Post: opendatakit@googlegroups.com
Unsubscribe: opendatakit+unsubscribe@googlegroups.com
Options: http://groups.google.com/group/opendatakit?hl=en


You received this message because you are subscribed to the Google Groups
"ODK Community" group.
To unsubscribe from this group and stop receiving emails from it, send an
email to opendatakit+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
Mitch Sundt
Software Engineer
University of Washington
mitchellsundt@gmail.com

--

Post: opendatakit@googlegroups.com
Unsubscribe: opendatakit+unsubscribe@googlegroups.com
Options: http://groups.google.com/group/opendatakit?hl=en


You received this message because you are subscribed to a topic in the
Google Groups "ODK Community" group.
To unsubscribe from this topic, visit https://groups.google.com/d/
topic/opendatakit/C_cbr6OdLV8/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
opendatakit+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Richard,

I'm not sure I understand your question. You have to first design a
form, then upload it to your server.

https://groups.google.com/forum/#!msg/opendatakit/wxXDlVl83FI/gusIaaqdYooJ
might be of assistance.

Yaw

··· On Mon, Mar 20, 2017 at 6:54 AM, Richard Ekpene wrote: > Thanks, my odk aggregate is running on my tomcat server 8. but cannot find > where my form is so l can upload to my server. how do l go about it? > > On Mon, Mar 13, 2017 at 6:07 PM, Mitch Sundt wrote: >> >> See the instructions here >> https://opendatakit.org/use/aggregate/tomcat-install/ >> >> Note that you need to manually download and copy the MySQL Connector/J to >> the tomcat libs folder. >> And you need to run the create_db_and_user.sql script. >> >> I assume you are installing ODK Aggregate 1.4.13, and not an earlier >> software release. Earlier versions are not supported on Tomcat 8. >> >> >> On Mon, Mar 13, 2017 at 9:33 AM, Richard Ekpene wrote: >>> >>> I installed odk on tomcat 8 server and mysql server 5.7 but this what is >>> resulting to >>> >>> HTTP Status 404 - /ODKAggregate/Aggregate.html >>> >>> can some one help out? >>> and l cannot access my tomcat application manager page >>> >>> >>> -- >>> -- >>> Post: opendatakit@googlegroups.com >>> Unsubscribe: opendatakit+unsubscribe@googlegroups.com >>> Options: http://groups.google.com/group/opendatakit?hl=en >>> >>> --- >>> You received this message because you are subscribed to the Google Groups >>> "ODK Community" group. >>> To unsubscribe from this group and stop receiving emails from it, send an >>> email to opendatakit+unsubscribe@googlegroups.com. >>> For more options, visit https://groups.google.com/d/optout. >> >> >> >> >> -- >> Mitch Sundt >> Software Engineer >> University of Washington >> mitchellsundt@gmail.com >> >> -- >> -- >> Post: opendatakit@googlegroups.com >> Unsubscribe: opendatakit+unsubscribe@googlegroups.com >> Options: http://groups.google.com/group/opendatakit?hl=en >> >> --- >> You received this message because you are subscribed to a topic in the >> Google Groups "ODK Community" group. >> To unsubscribe from this topic, visit >> https://groups.google.com/d/topic/opendatakit/C_cbr6OdLV8/unsubscribe. >> To unsubscribe from this group and all its topics, send an email to >> opendatakit+unsubscribe@googlegroups.com. >> For more options, visit https://groups.google.com/d/optout. > > > -- > -- > Post: opendatakit@googlegroups.com > Unsubscribe: opendatakit+unsubscribe@googlegroups.com > Options: http://groups.google.com/group/opendatakit?hl=en > > --- > You received this message because you are subscribed to the Google Groups > "ODK Community" group. > To unsubscribe from this group and stop receiving emails from it, send an > email to opendatakit+unsubscribe@googlegroups.com. > For more options, visit https://groups.google.com/d/optout.

A post was split to a new topic: Aggregate could not start

Hey hi Yanokwa..

I'm facing issue with deploying the ODKaggregate.war on the Tomcat8.5.

I've attached the error log for your reference. See if you can help and guide what is the possible error im committing.

Thanks in advance.

ODKAggregate Error Log.txt (33.9 KB)

Will be fixed in a few days in Aggregate v2.0.1. See ODK Aggregate v2.00 - Possible Bug in Generated WAR File for updates.